Node.js Authorization Library

The Node.js version of Oso is available on npm and can be installed globally with npm:

$ npm install -g oso

or added as a dependency to a project’s package.json manifest with npm:

$ npm install oso

or Yarn:

$ yarn add oso

For more information on the Oso Node.js library, see the library documentation.

Requirements

  • Node.js version 10 or greater
  • Supported platforms:
    • Linux
    • macOS
    • Windows

API Reference

The JavaScript / TypeScript API reference is automatically generated from the Oso TypeScript library source files.